<?php
/**
 * Banner Section
 *
 * @package Neo Magazine
 */

$wp_customize->add_section(
	'neo_magazine_banner_section',
	array(
		'panel' => 'neo_magazine_front_page_options',
		'title' => esc_html__( 'Banner Section', 'neo-magazine' ),
	)
);

// Banner Section - Enable Section.
$wp_customize->add_setting(
	'neo_magazine_enable_banner_section',
	array(
		'default'           => false,
		'sanitize_callback' => 'neo_magazine_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Neo_Magazine_Toggle_Switch_Custom_Control(
		$wp_customize,
		'neo_magazine_enable_banner_section',
		array(
			'label'    => esc_html__( 'Enable Banner Section', 'neo-magazine' ),
			'section'  => 'neo_magazine_banner_section',
			'settings' => 'neo_magazine_enable_banner_section',
		)
	)
);

if ( isset( $wp_customize->selective_refresh ) ) {
	$wp_customize->selective_refresh->add_partial(
		'neo_magazine_enable_banner_section',
		array(
			'selector' => '#neo_magazine_banner_section .section-link',
			'settings' => 'neo_magazine_enable_banner_section',
		)
	);
}

// Banner Section - Main News Content Type.
$wp_customize->add_setting(
	'neo_magazine_main_news_content_type',
	array(
		'default'           => 'post',
		'sanitize_callback' => 'neo_magazine_sanitize_select',
	)
);

$wp_customize->add_control(
	'neo_magazine_main_news_content_type',
	array(
		'label'           => esc_html__( 'Select Content Type', 'neo-magazine' ),
		'section'         => 'neo_magazine_banner_section',
		'settings'        => 'neo_magazine_main_news_content_type',
		'type'            => 'select',
		'active_callback' => 'neo_magazine_is_banner_section_enabled',
		'choices'         => array(
			'post'     => esc_html__( 'Post', 'neo-magazine' ),
			'category' => esc_html__( 'Category', 'neo-magazine' ),
		),
	)
);

for ( $i = 1; $i <= 5; $i++ ) {
	// Banner Section - Select Post.
	$wp_customize->add_setting(
		'neo_magazine_main_news_content_post_' . $i,
		array(
			'sanitize_callback' => 'absint',
		)
	);

	$wp_customize->add_control(
		'neo_magazine_main_news_content_post_' . $i,
		array(
			'label'           => sprintf( esc_html__( 'Select Post %d', 'neo-magazine' ), $i ),
			'section'         => 'neo_magazine_banner_section',
			'settings'        => 'neo_magazine_main_news_content_post_' . $i,
			'active_callback' => 'neo_magazine_is_main_news_section_and_content_type_post_enabled',
			'type'            => 'select',
			'choices'         => neo_magazine_get_post_choices(),
		)
	);

}

// Banner Section - Select Category.
$wp_customize->add_setting(
	'neo_magazine_main_news_content_category',
	array(
		'sanitize_callback' => 'neo_magazine_sanitize_select',
	)
);

$wp_customize->add_control(
	'neo_magazine_main_news_content_category',
	array(
		'label'           => esc_html__( 'Select Category', 'neo-magazine' ),
		'section'         => 'neo_magazine_banner_section',
		'settings'        => 'neo_magazine_main_news_content_category',
		'active_callback' => 'neo_magazine_is_main_news_section_and_content_type_category_enabled',
		'type'            => 'select',
		'choices'         => neo_magazine_get_post_cat_choices(),
	)
);
